Index: protocols/jabber/jabber.c
===================================================================
--- protocols/jabber/jabber.c	(revision a51be6448b7a6aa100f27873ce40b835068a66a7)
+++ protocols/jabber/jabber.c	(revision 0fd8559c4a6ad84ad0852e07c4ba2e50b2fdf0ad)
@@ -1503,7 +40,11 @@
 	s->flags |= ACC_SET_OFFLINE_ONLY;
 	
+	s = set_add( &acc->set, "priority", "0", set_eval_priority, acc );
+	
 	s = set_add( &acc->set, "resource", "BitlBee", NULL, acc );
 	s->flags |= ACC_SET_OFFLINE_ONLY;
 	
+	s = set_add( &acc->set, "resource_select", "priority", NULL, acc );
+	
 	s = set_add( &acc->set, "server", NULL, set_eval_account, acc );
 	s->flags |= ACC_SET_NOSAVE | ACC_SET_OFFLINE_ONLY;
